@import "reset.css";
@import url('https://fonts.googleapis.com/css2?family=Righteous&display=swap');
body{
   font-family: Righteous, Arial, Helvetica, sans-serif;
   color: gold;
   text-align: center;
   letter-spacing: 5px;
   line-height: 130px;
   overflow: hidden;

}
.background {  
   background-image: url('../images/background.png');
   height: 100vh;
   background-size: cover;
   overflow: hidden;
   
  
}
.animation  {
   position: relative;
   width: 100%;
   height: 100%;         
   font-weight: bold;
   text-align: justify;
   overflow: hidden;     
    perspective:600px ;
   display: flex;
   justify-content: center;
  
  

}
.animation::before{
   content: "";
position: absolute;
width: 100%;
height: 40vh;  
background-image: linear-gradient(0deg, transparent, black 80%);
z-index: 1;
}
.animation-text{     
   position: absolute;
   bottom: 0;  
   transform-origin: center bottom; 
   animation: scroll 30s ease-out 0s infinite;
   

}


  
.animation h1 {
   font-size:200px; 
   margin-bottom: 150px;
   text-align: center;
}
.animation h2{
   text-align: center;
   font-size: 120px;
   font-weight: 700;
   margin-bottom: 150px;
}
.animation p{
   font-size: 100px;
   margin-bottom: 100px  ;
}

@keyframes scroll {
   0% { top: 100%; 
     
      transform: rotateX(20deg) translateZ(-200px);
 }
   100% { top: -400%;
     
      transform:rotateX(35deg) translateZ(-600px);
     }
}
